Subject: Re: lojban as a programming language [was Re: [lojban] Lojban for lay programmers]

From: Invent Yourself <[email-masked]>
Date: Thu, 24 Jan 2002 15:36:57 -0500 (EST)

On Thu, 24 Jan 2002, Brook Conner wrote:

> For example, when evaluating a lojban sentence, do you use strict
> evaluation or lazy evaluation? I'm talking machine semantics here, not
> parsing syntax. The canonical example from programming literature for
> the difference between strict and lazy is something like the following:

We actually had a discussion about this a while ago. It revolved around
the question: does lu'e la djan mean " "John" ", or "a symbol for "John"";
is it the symbol, or does it mean the symbol?

> 2. Strictly speaking, ci'i is not a number. Oh sure, it may be a
> transfinite number (ci'i no, ci'i pa, etc.), but a transfinite number is
> definitely not in the set of integers, rationals, or even real numbers
> (mathematically speaking, IEEE floating point numbers are none of these,
> are not even a group (I don't think NaN has an additive inverse, and Inf
> has very peculiar behavior)).

In Lojban, I think ci'i gets treated just like any other member of selma'o
pa. And I find that refreshing.

> Don't get me wrong - another parser for lojban is great, but designing
> the semantics, even for mekso, to a level where a computer can
> predictably deal with it (and deal with it in a manner comparable to a
> human) is not as simple as it might first seem.

At least it's simple than doing so with any other "full" language.

-- 
The tao that can be tar(1)ed
is not the entire Tao.
The path that can be specified
is not the Full Path.